Package: bridge-utils
Version: 1.5-13
Severity: important
When we have first set up a vlan like for example eth0.2000 the bridge setup
will later fail to create vlans that are substrings of the already created
vlans, like eth0.2.
This is caused by the greps we are doing on /proc/net/dev not being
delimited.
Here is the proposed patch for stable:
diff -ru bridge-utils-1.5-13/debian/bridge-utils.sh
bridge-utils-1.5-13+deb9u1/debian/bridge-utils.sh
--- bridge-utils-1.5-13/debian/bridge-utils.sh 2017-06-27 22:57:15.000000000
+0200
+++ bridge-utils-1.5-13+deb9u1/debian/bridge-utils.sh 2017-06-27
22:57:37.000000000 +0200
@@ -58,11 +58,11 @@
create_vlan_port()
{
# port doesn't yet exist
-if ! grep -q "$port" /proc/net/dev
+if ! grep -q "$port:" /proc/net/dev
then
dev="${port%.*}"
# port is a vlan and the device exists?
- if [ "$port" != "$dev" ] && grep -q "$dev" /proc/net/dev
+ if [ "$port" != "$dev" ] && grep -q "$dev:" /proc/net/dev
then
if [ -f /proc/sys/net/ipv6/conf/$dev/disable_ipv6 ]
then
@@ -77,7 +77,7 @@
destroy_vlan_port()
{
# port exists
-if grep -q "$port" /proc/net/dev
+if grep -q "$port:" /proc/net/dev
then
dev="${port%.*}"
# port is a vlan
Regards.
-- System Information:
Debian Release: 9.0
APT prefers stable
APT policy: (990, 'stable'), (500, 'oldoldstable'), (500, 'unstable'), (500,
'oldstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Kernel: Linux 4.9.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=gl_ES.UTF-8, LC_CTYPE=gl_ES.UTF-8 (charmap=UTF-8),
LANGUAGE=gl_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
Versions of packages bridge-utils depends on:
ii libc6 2.24-11+deb9u1
bridge-utils recommends no packages.
Versions of packages bridge-utils suggests:
ii ifupdown 0.8.19
-- no debconf information